package com.zd.chemical.domain.vo;

import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
 * 化学品信息对象 hxp_chemical
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品信息")
public class HxpSmartTerminalByExcel {
    private static final long serialVersionUID = 1L;


    @Excel(name = "设备编号",sort = 1, isRequired=true)
    @ApiModelProperty(value = "设备编号")
    private String terminalNum;

    @Excel(name = "实验室",sort = 2, isRequired=true)
    @ApiModelProperty(value = "实验室")
    private String subName;

    @ApiModelProperty(value = "设备类型（1是智能终端，2是智能门禁，3是RFID,4是智能报警）")
    private Integer terminalType;

    /**
     * 备注，用于记录错误的原因
     */
    @Excel(name = "备注" ,type = Excel.Type.EXPORT)
    private StringBuffer failRemark = new StringBuffer();

    /**
     * 是否更新数据
     */
    private Boolean upDate;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getTerminalNum() {
        return terminalNum;
    }

    public void setTerminalNum(String terminalNum) {
        this.terminalNum = terminalNum;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public StringBuffer getFailRemark() {
        return failRemark;
    }

    public void setFailRemark(StringBuffer failRemark) {
        this.failRemark = failRemark;
    }

    public Boolean getUpDate() {
        return upDate;
    }

    public void setUpDate(Boolean upDate) {
        this.upDate = upDate;
    }

    public Integer getTerminalType() {
        return terminalType;
    }

    public void setTerminalType(Integer terminalType) {
        this.terminalType = terminalType;
    }
}
